Subject: Re: [PATCH 1/3] sha1dc: update from my PR #36

From: "Liam R. Howlett" <[email-masked]>
Date: Tue, 27 Jun 2017 12:31:02 -0400

* Junio C Hamano <[email-masked]> [170627 11:55]:
> Junio C Hamano <[email-masked]> writes:
> 
> >> +#if (defined(__ARMEB__) || defined(__THUMBEB__) || defined(__AARCH64EB__) || \
> >>       defined(__MIPSEB__) || defined(__MIPSEB) || defined(_MIPSEB) || \
> >>       defined(__sparc))
> >> +/*
> >> + * Should define Big Endian for a whitelist of known processors. See
> >> + * https://sourceforge.net/p/predef/wiki/Endianness/ and
> >> + * http://www.oracle.com/technetwork/server-storage/solaris/portingtosolaris-138514.html
> >> + */
> >>  #define SHA1DC_BIGENDIAN
> >
> > These look sensible.
> 
> By the way, I wonder why this didn't catch the sparc running
> Solaris.  What does Michael's system use to let the software know
> that it is targetted for a Sparc, if not __sparc?
> 

I have issues running the test on my solaris system.  Could you send him
the changes you made on sha1dc in git?  I suspect his platform does
define __sparc.

Cheers,
Liam